import 'package:flutter_modular/flutter_modular.dart';

extension ClientCreateOrderNavigator on IModularNavigator {
  void pushCreateOrder() {
    pushNamed('/client/create-order/');
  }

  void pushRapidOrder() {
    pushNamed('/client/create-order/rapid');
  }

  void pushOneTimeOrder() {
    pushNamed('/client/create-order/one-time');
  }

  void pushRecurringOrder() {
    pushNamed('/client/create-order/recurring');
  }

  void pushPermanentOrder() {
    pushNamed('/client/create-order/permanent');
  }
}
